package com.mosty.common.config.constant.enums;

import lombok.AllArgsConstructor;


/**
 *  字典组件枚举
 * @author kevin
 * @date 2022/2/10 10:33 PM
 * @since 1.0.0
 */
@AllArgsConstructor
public enum DictElementEnum {

    NATION("nation", "民族"),
    GENDER("gender", "性别"),
    BLOOD_TYPE("bloodType", "血型"),
    EDUCATION("education", "学历"),
    POLITICAL_OUTLOOK("politicalOutlook", "政治面貌"),
    MARITAL_STATUS("maritalStatus", "婚姻状况"),
    RELATIONSHIP("relationship", "亲属关系"),
    VEHICLE_MODEL("vehicleModel", "车辆型号"),
    VEHICLE_COLOR("vehicleColor", "车辆颜色"),
    VEHICLE_NUMBER_TYPE("vehicleNumberType", "机动车号牌种类"),
    CAR_NUMBER("carNumber", "车牌号"),
    PERMISSION_LIST("permissionList", "车牌号"),
    ;

    /**
     * 字典编码
     */
    public final String code;

    /**
     * 字典描述
     */
    public final String desc;

}
